##### GENERAL STUFF #####

Summary: Library for handling PPD (PostScript Printer Description) files
Name:		libppd1
Version:	0.10
Release:	1mdk
License:	GPL
Group:		Publishing

##### SOURCE FILES #####

Source:		http://sourceforge.net/projects/lpr/libppd-0.10.tar.bz2

##### ADDITIONAL DEFINITIONS #####

Url:		http://sourceforge.net/projects/lpr/
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	libglib1.2
BuildRequires:	libglib-devel


##### SUB-PACKAGES #####

%description

libppd is a library for handling PPD (PostScript Printer Description)
files, its functions parse the files, list printer options and choices
described in the files to set up GUIs for printing, and it inserts
PostScript commands into PostScript files so that the option settings
of the user are applied to the PostScript print job.


%package -n ppdfilt
Summary: Sets options according to a PPD file in a PostScript file.
Requires:	libppd1
Group:		Publishing

%description -n ppdfilt

ppdfilt is a filter which takes PostScript as input, inserts
PostScripy code according to a PPD file and user-supplied option
settings, and puts out the result. Sending a so prepared PostScript
file to the printer to which the PPD file belongs, the printer does
the job with the options as set by the user.


%package -n libppd1-devel
Summary: Headers and links to compile against the "libppd1" library
Requires: 	libppd1 >= %{version}
Provides:	libppd-devel
Group:		Graphics

%description -n libppd1-devel
This package contains all files which one needs to compile programs using
the "libppd1" library.


##### PREP #####

%prep

rm -rf $RPM_BUILD_DIR/libppd-%{version}
%setup -q -n libppd-%{version}

##### BUILD #####

%build

%configure
# no %%make to suppress multi-processing in the build process
make

##### INSTALL #####

%install

rm -rf $RPM_BUILD_ROOT
%makeinstall

# Install doc files
mkdir -p $RPM_BUILD_ROOT%{_docdir}/libppd1-%{version}/
cp AUTHORS COPYING ChangeLog INSTALL TODO $RPM_BUILD_ROOT%{_docdir}/libppd1-%{version}/

##### PRE/POST INSTALL SCRIPTS #####

%post -n libppd1
/sbin/ldconfig

%postun -n libppd1
/sbin/ldconfig

##### CLEAN UP #####

%clean
rm -rf $RPM_BUILD_ROOT


##### FILE LISTS FOR ALL BINARY PACKAGES #####

##### ppdfilt
%files -n ppdfilt
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/postscript

##### libppd1
%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%docdir %{_docdir}/libppd-%{version}
%{_docdir}/libppd1-%{version}

##### libppd1-devel
%files -n libppd1-devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_mandir}/man3/*


##### CHANGELOG #####

%changelog
* Thu Jan 10 2001 Till Kamppeter <till@mandrakesoft.com> 0.10-1mdk
- New version.

* Thu Jan 10 2001 Till Kamppeter <till@mandrakesoft.com> 0.9-1mdk
- Initial release.
